Subject: Re: [PATCH net v4] nfc: ... device_is_registered() is data race-able

From: Jakub Kicinski <[email-masked]>
Date: Thu, 28 Apr 2022 06:06:28 -0700

On Thu, 28 Apr 2022 11:20:16 +0200 Greg KH wrote:
> > The added dev_register variable can function like the original
> > device_is_registered and does not race-able because of the
> > protection of device_lock.  
> 
> Yes, that looks better, but what is the root problem here that you are
> trying to solve?  Why does NFC need this when no other subsystem does?

Yeah :( The NFC and NCI locking is shaky at best, grounds-up redesign
with clear rules would be great... but then again I'm not sure if anyone
is actually using this code IRL, so the motivation to invest time is
rather weak.